Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface SwarmObject

All Known Subinterfaces:
  ActionCache, ActiveGraph, ActiveOutFile, ActivityControl, Averager, BasicRandomGenerator, BernoulliDist, BinomialDist, BooleanDistribution, C2TAUS1gen, C2TAUS2gen, C2TAUS3gen, C2TAUSgen, Ca2d, CommonProbeDisplay, CompleteProbeDisplay, CompleteProbeMap, CompleteVarMap, ControlPanel, ConwayLife2d, CustomProbeMap, DblBuffer2d, DefaultProbeMap, Diffuse2d, Discrete2d, DoubleDistribution, EmptyProbeMap, Entropy, ExponentialDist, EZAverageSequence, EZBin, EZDistribution, EZGraph, EZSequence, GammaDist, Grid2d, Int2dFiler, IntegerDistribution, LogNormalDist, MessageProbe, MT19937gen, MultiVarProbeDisplay, Normal, NormalDist, NSelect, Object2dDisplay, PMMLCG1gen, PMMLCGgen, PoissonDist, ProbabilityDistribution, Probe, ProbeDisplay, ProbeDisplayManager, ProbeMap, PSWBgen, QSort, RandomBitDist, SimpleProbeDisplay, SimpleRandomGenerator, SingleProbeDisplay, SplitRandomGenerator, UName, UniformDoubleDist, UniformIntegerDist, UniformUnsignedDist, UnsignedDistribution, Value2dDisplay, VarProbe

All Known Implementing Classes:
  ActivityControlImpl, ProbeMapImpl, SwarmObjectImpl, QSortImpl, UNameImpl, NSelectImpl, ProbeDisplayManagerImpl, Value2dDisplayImpl, Int2dFilerImpl, Discrete2dImpl, Object2dDisplayImpl, EZBinImpl, EZGraphImpl

public interface SwarmObject
extends Create, CreateS, Drop, DropS

A superclass of most objects in a Swarm simulation that provides support for probing.. A SwarmObject is an object that is intended to be a member of a Swarm. It's behavior will be perpetuated by messages sent from the schedule of events defined in the context of Swarm object. The SwarmObject is where the models of all the agents of a simulation will reside. Hence, most of the burden on defining the messages that can be sent to any agent lies with the user. SwarmObject inherits its basic functionality from the Create and Drop object types defined in the defobj library.

Method Summary
`ProbeMap` | `getCompleteProbeMap()` The getCompleteProbeMap method returns a newly created CompleteProbeMap for an object.
`MessageProbe` | `getProbeForMessage(java.lang.String aMessage)` The getProbeForMessage: method returns the MessageProbe indexed in the ProbeMap by the string aMessage.
`VarProbe` | `getProbeForVariable(java.lang.String aVariable)` The getProbeForVariable: method returns the VarProbe indexed in the ProbeMap by the string aVariable.
`ProbeMap` | `getProbeMap()` The getProbeMap method returns a pointer to the ProbeMap for the object if there has been one creaded for that object's class.

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### getProbeMap

    public ProbeMap getProbeMap()

  The getProbeMap method returns a pointer to the ProbeMap for the object if there has been one creaded for that object's class. If it hasn't been created, then it creates a default ProbeMap.

### getCompleteProbeMap

    public ProbeMap getCompleteProbeMap()

  The getCompleteProbeMap method returns a newly created CompleteProbeMap for an object.

### getProbeForVariable

    public VarProbe getProbeForVariable(java.lang.String aVariable)

  The getProbeForVariable: method returns the VarProbe indexed in the ProbeMap by the string aVariable.

### getProbeForMessage

    public MessageProbe getProbeForMessage(java.lang.String aMessage)

  The getProbeForMessage: method returns the MessageProbe indexed in the ProbeMap by the string aMessage.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD